perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Radoslaw Zielinski <ra...@pld-linux.org>
Subject Re: [RELEASE CANDIDATE] libapreq2 2.08-RC4
Date Wed, 23 Aug 2006 18:08:56 GMT
Philip M. Gollucci <pgollucci@p6m7g8.com> [20-07-2006 07:17]:
> autotools set 3: ac - 2.60, am: 1.9.6, lt: 1.5.22 (latest stable releases)
>   (autconf 2.60 does not work: gcc Apache2.c breaks ?????)

glue/perl/Makefile.PL messes with autoconf internals, reading
config.status and trying to read PACKAGE_VERSION (among other variables)
from there.  For some reason, "|#_!!_#|" is prepended there.  Then, gcc
is called with -DVERSION=\"|#_!!_#|2.08\" -- pipes and exclamation marks
(and probably hashes) are interpreted by shell.

Similar issue has been discussed on the bug-autoconf list:
http://lists.gnu.org/archive/html/bug-autoconf/2006-06/msg00127.html

-- 
Radosław Zieliński <radek@pld-linux.org>

Mime
View raw message